﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Configuration;

namespace CheckBoxList_Testing
{
    public partial class _Default : System.Web.UI.Page
    {
        SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["constr"].ConnectionString);
        SqlCommand cmd;
        SqlDataReader dr;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
                displayCheckboxList();
        }

        private void displayCheckboxList()
        {
            cmd = new SqlCommand("select distinct Handicap_Type from Category");
            cmd.Connection = conn;
            conn.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ListItem item = new ListItem();
                item.Text = dr["Handicap_Type"].ToString();
                item.Value = dr["Handicap_Type"].ToString();
                cblHandicapped.Items.Add(item);
            }
            conn.Close();
        }

        protected void btnPreview_Click(object sender, EventArgs e)
        {
            cblHandicapped.Items.Clear();
            cmd = new SqlCommand("select HandicappedType,IsSelected from HandicappedType where [Name] ='" + tbName.Text + "'");
            cmd.Connection = conn;
            conn.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ListItem item = new ListItem();
                item.Text = dr["HandicappedType"].ToString();
                item.Value = dr["HandicappedType"].ToString();
                item.Selected = Convert.ToBoolean(dr["IsSelected"]);
                cblHandicapped.Items.Add(item);
            }
            conn.Close();
        }

        protected void btnClear_Click(object sender, EventArgs e)
        {
            cblHandicapped.Items.Clear();
            tbName.Text = "";
            displayCheckboxList();
        }

        protected void btnSave_Click(object sender, EventArgs e)
        {
            cmd = new SqlCommand("Delete from HandicappedType where [Name]= @Name");
            cmd.Parameters.AddWithValue("@Name", tbName.Text);
            cmd.Connection = conn;
            conn.Open();
            cmd.ExecuteReader();
            conn.Close();

            cmd = new SqlCommand("INSERT INTO HandicappedType([Name],[HandicappedType],[IsSelected])VALUES(@Name,@HandicappedType,@IsSelected)");
            cmd.Connection = conn;
            conn.Open();
            foreach (ListItem item in cblHandicapped.Items)
            {
                cmd.Parameters.Clear();
                cmd.Parameters.AddWithValue("@IsSelected", item.Selected);
                cmd.Parameters.AddWithValue("@HandicappedType", item.Value);
                cmd.Parameters.AddWithValue("@Name", tbName.Text);
                cmd.ExecuteNonQuery();
            }
            conn.Close();
            cblHandicapped.Items.Clear();
            tbName.Text = "";
            displayCheckboxList();
        }
    }
}